/* /Components/Layout/LoadingSpinner.razor.rz.scp.css */
/*.loader {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    display: block;
    margin: 15px auto;
    position: relative;
    background: #505A46;
    box-shadow: -24px 0 #505A46, 24px 0 #505A46;
    box-sizing: border-box;
    animation: shadowPulse 1.5s linear infinite;
}

@keyframes shadowPulse {
    33% {
        background: #505A46;
        box-shadow: -24px 0 #D9AC42, 24px 0 #505A46;
    }

    66% {
        background: #D9AC42;
        box-shadow: -24px 0 #505A46, 24px 0 #505A46;
    }

    100% {
        background: #505A46;
        box-shadow: -24px 0 #505A46, 24px 0 #D9AC42;
    }
}*/

/* HTML: <div class="loader"></div> */
/*.loader {
    width: 60px;
    aspect-ratio: 4;
    background: radial-gradient(circle closest-side,#D9AC42 90%,#0000) 0/calc(100%/3) 100% space;
    clip-path: inset(0 100% 0 0);
    animation: l1 1.5s steps(4) infinite;
    display: block;
    margin: 15px auto;
}

@keyframes l1 {
    to {
        clip-path: inset(0 -34% 0 0)
    }
}*/

/* HTML: <div class="loader"></div> */
/*.loader {
    width: 60px;
    display: block;
    margin: 15px auto;
    aspect-ratio: 4;
    --_g: no-repeat radial-gradient(circle closest-side,#D9AC42 90%,#0000);
    background: var(--_g) 0% 50%, var(--_g) 50% 50%, var(--_g) 100% 50%;
    background-size: calc(100%/3) 100%;
    animation: l7 1.5s infinite linear;
}

@keyframes l7 {
    33% {
        background-size: calc(100%/3) 0%,calc(100%/3) 100%,calc(100%/3) 100%
    }

    50% {
        background-size: calc(100%/3) 100%,calc(100%/3) 0%,calc(100%/3) 100%
    }

    66% {
        background-size: calc(100%/3) 100%,calc(100%/3) 100%,calc(100%/3) 0%
    }
}*/

.loader[b-hf4am63zwi] {
    width: 16px;
    height: 16px;
    /*border-radius: 50%;*/
    display: block;
    margin: 15px auto;
    position: relative;
    background: #505A46;
    /*clip-path: polygon(0 0, 50% 100%, 100% 0);*/
    /*box-shadow: -24px 0 #505A46, 24px 0 #505A46;*/
    /*box-sizing: border-box;*/
    animation: shadowPulse-b-hf4am63zwi 1.5s linear infinite;
}

@keyframes shadowPulse-b-hf4am63zwi {
    33% {
        background: #505A46;
        box-shadow: -24px 0 #D9AC42, 24px 0 #D9AC42;
    }

    66% {
        background: #D9AC42;
        box-shadow: -24px 0 #505A46, 24px 0 #505A46;
    }

    100% {
        background: #505A46;
        box-shadow: -24px 0 #D9AC42, 24px 0 #D9AC42;
    }
}

/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-u7husw0ae2] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-u7husw0ae2] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Pages/Chat/Chat.razor.rz.scp.css */
.chat-container[b-ppruzctrwt] {
    position: sticky;
    bottom: 0;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    padding-top: 0.75rem;
    padding-bottom: 1.5rem;
    border-top-width: 1px;
    background-color: #F3F4F6;
    border-color: #E5E7EB;
}

.chatbox-icon[b-ppruzctrwt] {
    width: 1.25rem;
    height: 1.25rem;
    color: rgb(55, 65, 81);
}

.btn-chatbox[b-ppruzctrwt] {
    float: right;
    display: flex;
    padding: 0.50rem 0.50rem;
    gap: 0.25rem;
    align-items: center;
    border-radius: 50%;
    border: 1px solid #505A46;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 600;
    background-color: #D1D5DB;
}

    .btn-chatbox:hover[b-ppruzctrwt] {
        background-color: #E5E7EB;
    }

#chatbox-close-btn[b-ppruzctrwt] {
    z-index: 100;
}
/* /Components/Pages/Chat/ChatCitation.razor.rz.scp.css */
.citation[b-cjywaoyhay] {
    display: inline-flex;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
    margin-top: 1rem;
    margin-right: 1rem;
    border-bottom: 2px solid #a770de;
    gap: 0.5rem;
    border-radius: 0.25rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    background-color: #ffffff;
}

    .citation[href]:hover[b-cjywaoyhay] {
        outline: 1px solid #865cb1;
    }

    .citation svg[b-cjywaoyhay] {
        width: 1.5rem;
        height: 1.5rem;
    }

    .citation:active[b-cjywaoyhay] {
        background-color: rgba(0,0,0,0.05);
    }

.citation-content[b-cjywaoyhay] {
    display: flex;
    flex-direction: column;
}

.citation-file[b-cjywaoyhay] {
    font-weight: 600;
}
/* /Components/Pages/Chat/ChatHeader.razor.rz.scp.css */
.chat-header-container[b-uxcb99b070] {
    top: 0; 
    padding: 1.5rem; 
}

.chat-header-controls[b-uxcb99b070] {
    margin-bottom: 1.5rem; 
}

h1[b-uxcb99b070] {
    overflow: hidden;
    text-overflow: ellipsis;
}

.new-chat-icon[b-uxcb99b070] {
    width: 1.25rem;
    height: 1.25rem;
    color: rgb(55, 65, 81);
}

@media (min-width: 768px) {
    .chat-header-container[b-uxcb99b070] {
        position: sticky;
    }
}
/* /Components/Pages/Chat/ChatInput.razor.rz.scp.css */
.input-box[b-e1lm9677jv] {
    display: flex; 
    flex-direction: column; 
    background: white;
    border: 1px solid rgb(229, 231, 235);
    border-radius: 8px;
    padding: 0.5rem 0.75rem;
    margin-top: 0.75rem; 
}

    .input-box:focus-within[b-e1lm9677jv] {
        outline: 2px solid #D9AC42;
    }

textarea[b-e1lm9677jv] {
    resize: none;
    border: none;
    outline: none;
    flex-grow: 1;
}

    textarea:placeholder-shown + .tools[b-e1lm9677jv] {
        --send-button-color: #aaa;
    }

.tools[b-e1lm9677jv] {
    display: flex; 
    margin-top: 1rem; 
    align-items: center;
}

.tool-icon[b-e1lm9677jv] {
    width: 1.25rem;
    height: 1.25rem;
}

.send-button[b-e1lm9677jv] {
    color: var(--send-button-color);
    margin-left: auto;
}

    .send-button:hover[b-e1lm9677jv] {
        color: black;
    }

.attach[b-e1lm9677jv] {
    background-color: white;
    border-style: dashed;
    color: #888;
    border-color: #888;
    padding: 3px 8px;
}

    .attach:hover[b-e1lm9677jv] {
        background-color: #f0f0f0;
        color: black;
    }
/* /Components/Pages/Chat/ChatMessageItem.razor.rz.scp.css */
.user-message[b-gffnuc2evi] {
    background: #D9AC42;
    align-self: flex-end;
    min-width: 25%;
    max-width: calc(100% - 5rem);
    padding: 0.5rem 1.25rem;
    border-radius: 0.25rem;
    color: #1F2937;
    white-space: pre-wrap;
}

.assistant-message[b-gffnuc2evi], .assistant-search[b-gffnuc2evi] {
    display: grid;
    grid-template-rows: min-content;
    grid-template-columns: 2rem minmax(0, 1fr);
    gap: 0.25rem; 
}

.assistant-message-header[b-gffnuc2evi] {
    font-weight: 600;
}

.assistant-message-text[b-gffnuc2evi] {
    grid-column-start: 2;
}

.assistant-message-icon[b-gffnuc2evi] {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 9999px;
    width: 1.5rem;
    height: 1.5rem;
    color: #505A46;
    background: #D9AC42;
}

    .assistant-message-icon svg[b-gffnuc2evi] {
        width: 1rem; 
        height: 1rem; 
    }

.assistant-search[b-gffnuc2evi] {
    font-size: 0.875rem;
    line-height: 1.25rem; 
}

.assistant-search-icon[b-gffnuc2evi] {
    display: flex; 
    justify-content: center; 
    align-items: center; 
    width: 1.5rem; 
    height: 1.5rem; 
}

    .assistant-search-icon svg[b-gffnuc2evi] {
        width: 1rem; 
        height: 1rem; 
    }

.assistant-search-content[b-gffnuc2evi] {
    align-content: center;
}

.assistant-search-phrase[b-gffnuc2evi] {
    font-weight: 600;
}

/* Default styling for markdown-formatted assistant messages */
[b-gffnuc2evi] ul {
    list-style-type: disc;
    margin-left: 1.5rem;
}

[b-gffnuc2evi] ol {
    list-style-type: decimal;
    margin-left: 1.5rem;
}

[b-gffnuc2evi] li {
    margin: 0.5rem 0;
}

[b-gffnuc2evi] strong {
    font-weight: 600;
}

[b-gffnuc2evi] h3 {
    margin: 1rem 0;
    font-weight: 600;
}

[b-gffnuc2evi] p + p {
    margin-top: 1rem;
}

[b-gffnuc2evi] table {
    margin: 1rem 0;
}

[b-gffnuc2evi] th {
    text-align: left;
    border-bottom: 1px solid silver;
}

[b-gffnuc2evi] th, [b-gffnuc2evi] td {
    padding: 0.1rem 0.5rem;
}

[b-gffnuc2evi] th, [b-gffnuc2evi] tr:nth-child(even) {
    background-color: rgba(0, 0, 0, 0.05);
}

[b-gffnuc2evi] pre > code {
    background-color: white;
    display: block;
    padding: 0.5rem 1rem;
    margin: 1rem 0;
    overflow-x: auto;
}
/* /Components/Pages/Chat/ChatMessageList.razor.rz.scp.css */
.message-list-container[b-y49huaeq9e] {
    margin: 2rem 1.5rem;
    flex-grow: 1;
}

.message-list[b-y49huaeq9e] {
    display: flex; 
    flex-direction: column; 
    gap: 1.25rem; 
}

.no-messages[b-y49huaeq9e] {
    text-align: center;
    font-size: 1.25rem;
    color: #999;
    margin-top: calc(40vh - 18rem);
}

chat-messages[b-y49huaeq9e] >  div:last-of-type {
    /* Adds some vertical buffer to so that suggestions don't overlap the output when they appear */
    margin-bottom: 2rem;
}
/* /Components/Pages/Chat/ChatStarter.razor.rz.scp.css */
.starter[b-jsi27ehz9z] {
    display: inline-flex;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
    margin-top: 1rem;
    margin-right: 1rem;
    border-bottom: 2px solid #D9AC42;
    gap: 0.5rem;
    border-radius: 0.25rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    background-color: #ffffff;
}

    .starter[href]:hover[b-jsi27ehz9z] {
        outline: 1px solid #865cb1;
    }

    .starter svg[b-jsi27ehz9z] {
        width: 1.5rem;
        height: 1.5rem;
    }

    .starter:active[b-jsi27ehz9z] {
        background-color: rgba(0,0,0,0.05);
    }

.starter-content[b-jsi27ehz9z] {
    display: flex;
    flex-direction: column;
}

.starter-file[b-jsi27ehz9z] {
    font-weight: 600;
}
/* /Components/Pages/Chat/ChatSuggestions.razor.rz.scp.css */
.suggestions[b-3cfemi7yrp] {
    text-align: right;
    white-space: nowrap;
    gap: 0.5rem;
    justify-content: flex-end;
    flex-wrap: wrap;
    display: flex;
    margin-bottom: 0.75rem;
}
